libzypp 17.37.10

proxyinfolibproxy.h File Reference
`#include <string>`
`#include <zypp-core/base/DefaultIntegral>`
`#include <zypp-curl/ProxyInfo>`
`#include <zypp-curl/proxyinfo/proxyinfoimpl.h>`

Go to the source code of this file.

## Classes
class | zypp::media::ProxyInfoLibproxy

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::media

## Typedefs
typedef struct _pxProxyFactory | pxProxyFactoryType
template<typename ProxyFactoryType>
using | zypp::media::CreateFactorySig = ProxyFactoryType *(*) (void)
template<typename ProxyFactoryType>
using | zypp::media::DelFactorySig = void (*) (ProxyFactoryType *self)
template<typename ProxyFactoryType>
using | zypp::media::GetProxiesSig = char **(*) (ProxyFactoryType *self, const char *url)
using | zypp::media::FreeProxiesCb = void (*) (char **proxies)

## Typedef Documentation

## ◆ pxProxyFactoryType

typedef struct _pxProxyFactory pxProxyFactoryType

Definition at line 22 of file proxyinfolibproxy.h.